// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: event/charger/StatusNotification.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace Event.Charger {

  /// <summary>Holder for reflection information generated from event/charger/StatusNotification.proto</summary>
  public static partial class StatusNotificationReflection {

    #region Descriptor
    /// <summary>File descriptor for event/charger/StatusNotification.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static StatusNotificationReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiZldmVudC9jaGFyZ2VyL1N0YXR1c05vdGlmaWNhdGlvbi5wcm90bxINZXZl",
            "bnQuY2hhcmdlciKrAgoSU3RhdHVzTm90aWZpY2F0aW9uEhQKDGNvbm5lY3Rv",
            "cl9pZBgBIAEoBRJDCgZzdGF0dXMYAiABKA4yMy5ldmVudC5jaGFyZ2VyLlN0",
            "YXR1c05vdGlmaWNhdGlvbi5DaGFyZ2VQb2ludFN0YXR1cxIZChFkZXZpY2Vf",
            "aWRlbnRpZmllchgDIAEoCSKeAQoRQ2hhcmdlUG9pbnRTdGF0dXMSDQoJQXZh",
            "aWxhYmxlEAASDQoJUHJlcGFyaW5nEAESDAoIQ2hhcmdpbmcQAhIRCg1TdXNw",
            "ZW5kZWRFVlNFEAMSDwoLU3VzcGVuZGVkRVYQBBINCglGaW5pc2hpbmcQBRIM",
            "CghSZXNlcnZlZBAGEg8KC1VuYXZhaWxhYmxlEAcSCwoHRmF1bHRlZBAIQooB",
            "Ch9jb20uY29kaWJseS5tb2RlbC5ldmVudC5jaGFyZ2VyQhdTdGF0dXNOb3Rp",
            "ZmljYXRpb25Qcm90b8oCH0RvbWFpbk1vZGVsXFByb3RvXEV2ZW50XENoYXJn",
            "ZXLiAitEb21haW5Nb2RlbFxQcm90b1xFdmVudFxDaGFyZ2VyXEdQQk1ldGFk",
            "YXRhYgZwcm90bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::Event.Charger.StatusNotification), global::Event.Charger.StatusNotification.Parser, new[]{ "ConnectorId", "Status", "DeviceIdentifier" }, null, new[]{ typeof(global::Event.Charger.StatusNotification.Types.ChargePointStatus) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class StatusNotification : pb::IMessage<StatusNotification>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<StatusNotification> _parser = new pb::MessageParser<StatusNotification>(() => new StatusNotification());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<StatusNotification> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Event.Charger.StatusNotificationReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public StatusNotification() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public StatusNotification(StatusNotification other) : this() {
      connectorId_ = other.connectorId_;
      status_ = other.status_;
      deviceIdentifier_ = other.deviceIdentifier_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public StatusNotification Clone() {
      return new StatusNotification(this);
    }

    /// <summary>Field number for the "connector_id" field.</summary>
    public const int ConnectorIdFieldNumber = 1;
    private int connectorId_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int ConnectorId {
      get { return connectorId_; }
      set {
        connectorId_ = value;
      }
    }

    /// <summary>Field number for the "status" field.</summary>
    public const int StatusFieldNumber = 2;
    private global::Event.Charger.StatusNotification.Types.ChargePointStatus status_ = global::Event.Charger.StatusNotification.Types.ChargePointStatus.Available;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Event.Charger.StatusNotification.Types.ChargePointStatus Status {
      get { return status_; }
      set {
        status_ = value;
      }
    }

    /// <summary>Field number for the "device_identifier" field.</summary>
    public const int DeviceIdentifierFieldNumber = 3;
    private string deviceIdentifier_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string DeviceIdentifier {
      get { return deviceIdentifier_; }
      set {
        deviceIdentifier_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as StatusNotification);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(StatusNotification other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (ConnectorId != other.ConnectorId) return false;
      if (Status != other.Status) return false;
      if (DeviceIdentifier != other.DeviceIdentifier) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (ConnectorId != 0) hash ^= ConnectorId.GetHashCode();
      if (Status != global::Event.Charger.StatusNotification.Types.ChargePointStatus.Available) hash ^= Status.GetHashCode();
      if (DeviceIdentifier.Length != 0) hash ^= DeviceIdentifier.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (ConnectorId != 0) {
        output.WriteRawTag(8);
        output.WriteInt32(ConnectorId);
      }
      if (Status != global::Event.Charger.StatusNotification.Types.ChargePointStatus.Available) {
        output.WriteRawTag(16);
        output.WriteEnum((int) Status);
      }
      if (DeviceIdentifier.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(DeviceIdentifier);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (ConnectorId != 0) {
        output.WriteRawTag(8);
        output.WriteInt32(ConnectorId);
      }
      if (Status != global::Event.Charger.StatusNotification.Types.ChargePointStatus.Available) {
        output.WriteRawTag(16);
        output.WriteEnum((int) Status);
      }
      if (DeviceIdentifier.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(DeviceIdentifier);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (ConnectorId != 0) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(ConnectorId);
      }
      if (Status != global::Event.Charger.StatusNotification.Types.ChargePointStatus.Available) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) Status);
      }
      if (DeviceIdentifier.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(DeviceIdentifier);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(StatusNotification other) {
      if (other == null) {
        return;
      }
      if (other.ConnectorId != 0) {
        ConnectorId = other.ConnectorId;
      }
      if (other.Status != global::Event.Charger.StatusNotification.Types.ChargePointStatus.Available) {
        Status = other.Status;
      }
      if (other.DeviceIdentifier.Length != 0) {
        DeviceIdentifier = other.DeviceIdentifier;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 16: {
            Status = (global::Event.Charger.StatusNotification.Types.ChargePointStatus) input.ReadEnum();
            break;
          }
          case 26: {
            DeviceIdentifier = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 16: {
            Status = (global::Event.Charger.StatusNotification.Types.ChargePointStatus) input.ReadEnum();
            break;
          }
          case 26: {
            DeviceIdentifier = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the StatusNotification message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum ChargePointStatus {
        [pbr::OriginalName("Available")] Available = 0,
        [pbr::OriginalName("Preparing")] Preparing = 1,
        [pbr::OriginalName("Charging")] Charging = 2,
        [pbr::OriginalName("SuspendedEVSE")] SuspendedEvse = 3,
        [pbr::OriginalName("SuspendedEV")] SuspendedEv = 4,
        [pbr::OriginalName("Finishing")] Finishing = 5,
        [pbr::OriginalName("Reserved")] Reserved = 6,
        [pbr::OriginalName("Unavailable")] Unavailable = 7,
        [pbr::OriginalName("Faulted")] Faulted = 8,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
